MapDeserializer (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map.deser

## Class MapDeserializer

- java.lang.Object
- - org.codehaus.jackson.map.JsonDeserializer<T>
  - - org.codehaus.jackson.map.deser.std.StdDeserializer<T>
    - - org.codehaus.jackson.map.deser.std.ContainerDeserializerBase<Map<Object,Object>>
      - - org.codehaus.jackson.map.deser.std.MapDeserializer
        - - org.codehaus.jackson.map.deser.MapDeserializer

- All Implemented Interfaces:
    ResolvableDeserializer

  Deprecated.
  Since 1.9, use `MapDeserializer` instead.

      @Deprecated
      public class MapDeserializer
      extends MapDeserializer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.codehaus.jackson.map.deser.std.StdDeserializer

      `StdDeserializer.BigDecimalDeserializer, StdDeserializer.BigIntegerDeserializer, StdDeserializer.BooleanDeserializer, StdDeserializer.ByteDeserializer, StdDeserializer.CharacterDeserializer, StdDeserializer.DoubleDeserializer, StdDeserializer.FloatDeserializer, StdDeserializer.IntegerDeserializer, StdDeserializer.LongDeserializer, StdDeserializer.NumberDeserializer, StdDeserializer.PrimitiveOrWrapperDeserializer<T>, StdDeserializer.ShortDeserializer, StdDeserializer.SqlDateDeserializer, StdDeserializer.StackTraceElementDeserializer`

    - ### Nested classes/interfaces inherited from class org.codehaus.jackson.map.JsonDeserializer

      `JsonDeserializer.None`

  - ### Field Summary

    - ### Fields inherited from class org.codehaus.jackson.map.deser.std.MapDeserializer

      `_delegateDeserializer, _hasDefaultCreator, _ignorableProperties, _keyDeserializer, _mapType, _propertyBasedCreator, _valueDeserializer, _valueInstantiator, _valueTypeDeserializer`

    - ### Fields inherited from class org.codehaus.jackson.map.deser.std.StdDeserializer

      `_valueClass`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `MapDeserializer(JavaType mapType, Constructor<Map<Object,Object>> defCtor, KeyDeserializer keyDeser, JsonDeserializer<Object> valueDeser, TypeDeserializer valueTypeDeser)` Deprecated. Since 1.9, use variant that takes ValueInstantiator
    `` | `MapDeserializer(JavaType mapType, ValueInstantiator valueInstantiator, KeyDeserializer keyDeser, JsonDeserializer<Object> valueDeser, TypeDeserializer valueTypeDeser)` Deprecated.
    `protected` | `MapDeserializer(MapDeserializer src)` Deprecated. Copy-constructor that can be used by sub-classes to allow copy-on-write styling copying of settings of an existing instance.

  - ### Method Summary

    - ### Methods inherited from class org.codehaus.jackson.map.deser.std.MapDeserializer

      `_deserializeUsingCreator, _readAndBind, deserialize, deserialize, deserializeWithType, getContentDeserializer, getContentType, getMapClass, getValueType, resolve, setIgnorableProperties, wrapAndThrow`

    - ### Methods inherited from class org.codehaus.jackson.map.deser.std.StdDeserializer

      `_parseBoolean, _parseBooleanFromNumber, _parseBooleanPrimitive, _parseByte, _parseDate, _parseDouble, _parseDoublePrimitive, _parseFloat, _parseFloatPrimitive, _parseInteger, _parseIntPrimitive, _parseLong, _parseLongPrimitive, _parseShort, _parseShortPrimitive, findDeserializer, getValueClass, handleUnknownProperty, isDefaultSerializer, parseDouble, reportUnknownProperty`

    - ### Methods inherited from class org.codehaus.jackson.map.JsonDeserializer

      `getEmptyValue, getNullValue, unwrappingDeserializer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapDeserializer

          @Deprecated
          public MapDeserializer(JavaType mapType,
                                    Constructor<Map<Object,Object>> defCtor,
                                    KeyDeserializer keyDeser,
                                    JsonDeserializer<Object> valueDeser,
                                    TypeDeserializer valueTypeDeser)

      Deprecated. Since 1.9, use variant that takes ValueInstantiator

    - #### MapDeserializer

          public MapDeserializer(JavaType mapType,
                         ValueInstantiator valueInstantiator,
                         KeyDeserializer keyDeser,
                         JsonDeserializer<Object> valueDeser,
                         TypeDeserializer valueTypeDeser)

      Deprecated.

    - #### MapDeserializer

          protected MapDeserializer(MapDeserializer src)

      Deprecated.
      Copy-constructor that can be used by sub-classes to allow copy-on-write styling copying of settings of an existing instance.
      Since:
        1.9